/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

// Credits: 
// Nicolas Gallagher: https://github.com/necolas
// SUIT CSS: https://github.com/suitcss/suit

.embed-responsive {
  display: block;
  overflow: hidden;
  padding: 0;
  position: relative;
  width: 100%;

  &::before {
    content: ' ';
    display: block;
  }

  .embed-responsive-item,
  iframe,
  embed,
  object,
  video {
    border: 0;
    bottom: 0;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
  }

  &.21by9 {
    &::before {
      padding-top: percentage(9 / 21);
    }
  }
  
  &.16by9 {
    &::before {
      padding-top: percentage(9 / 16);
    }
  }
  
  &.4by3 {
    &::before {
      padding-top: percentage(3 / 4);
    }
  }
  
  &.1by1 {
    &::before {
      padding-top: percentage(1 / 1);
    }
  }
}

